Skip site navigation (1) Skip section navigation (2)

Re: Actual?==?iso-8859-1?Q?ización de PostgreSQL me acabó con la BD

From: Alvaro Herrera <alvherre(at)alvh(dot)no-ip(dot)org>
To: Reynier Perez Mira <rperezm(at)uci(dot)cu>
Cc: pgsql-es-ayuda(at)postgresql(dot)org
Subject: Re: Actual?==?iso-8859-1?Q?ización de PostgreSQL me acabó con la BD
Date: 2008-10-13 21:42:14
Message-ID: 20081013214214.GC4574@alvh.no-ip.org (view raw or flat)
Thread:
Lists: pgsql-es-ayuda
Reynier Perez Mira escribió:

> Hola Alvaro y demás listeros:
> La versión de PostgreSQL que tenía instalada en ese servidor era la
> 7.4 y por lo que leo en tu respuesta necesito esta versión
> obligatoriamente para poder hacer el 'pg_dump' de los datos y luego
> volcar esos datos en la nueva 8.3.4. Ahora bien estuve tratando de
> volver a la versión anterior y por alguna extraña razón no he podido.
> Intente remover completamente la versión 8.x (apt-get remove
> postgresql-8.3) y me dice que no puede. Tampoco tengo ningún otro
> servidor Debian a la mano donde instalar PgSQL 7.4.

Baja el código fuente y compílalo tú mismo.  No es difícil.

> Mi pregunta es si puedo instalar PostgreSQL 7.4 en Windows, copiar el
> pgdata de Linux a Windows, hacer el pg_dump y luego importarlo en el
> nuevo Postgre 8.3.4

No.  Hay diferencias de plataforma (compilador y libc) que harán que no
funcione.

-- 
Alvaro Herrera                        http://www.advogato.org/person/alvherre
"Entristecido, Wutra                     (canción de Las Barreras)
echa a Freyr a rodar
y a nosotros al mar"

In response to

Responses

pgsql-es-ayuda by date

Next:From: Marcelo FernándezDate: 2008-10-13 22:04:06
Subject: Re: [pgsql-es-ayuda] Re: [pgsql-es-ayuda] RE: [pgsql-es-ayuda] Problemas con llaves foráneas
Previous:From: Alejandro D. BurneDate: 2008-10-13 21:09:08
Subject: Re: RE: [pgsql-es-ayuda] Actualización de PostgreSQL me acabó con la BD

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group